defmodule DrainCloudCoreWeb.Errors.InvalidArgumentException do
  alias __MODULE__, as: InvalidArgumentException
  defexception [:message, :args]

  @impl true
  def exception(term) do
    case term do
      [] -> %InvalidArgumentException{}
      {message, args} -> %InvalidArgumentException{message: message, args: args}
      _ -> %InvalidArgumentException{message: "Error: " <> term}
    end
  end
end
